Commit 94c549cb authored by Jürgen Haas's avatar Jürgen Haas

Change default PHP version to 7.2 and add support for PHP_VERSION environment variable

parent 441fbb60
......@@ -222,7 +222,7 @@ To overwrite the default settings for the Docker environment, add the relevant p
"version": 8
},
"php": {
"version": "7.0",
"version": "7.2",
"xdebug": 1
},
"webserver": {
......@@ -270,9 +270,9 @@ To overwrite the default settings for the Docker environment, add the relevant p
}
}
}
```
Other supported values for the PHP version are `5.3`, `5.6` and `7.1`.
```
Other supported values for the PHP version are `5.3`, `5.6`, `7.0` and `7.1`.
Other supported value for the webserver type is `nginx`.
......
......@@ -29,7 +29,7 @@
"composer-plugin-api": "^1.0.0",
"lakedrops/composer-json-utils": "^1.4.2",
"lakedrops/docker-traefik": "^1.1.3",
"lakedrops/dotenv": "^1.1.3",
"lakedrops/dotenv": "^1.2.2",
"twig/twig": "^1.23.1"
},
"require-dev": {
......
......@@ -248,7 +248,7 @@ class Handler extends BaseHandler {
'version' => '8',
],
'php' => [
'version' => '7.0',
'version' => $env->receiveGlobal('PHP_VERSION', 'PHP version', '7.2'),
'xdebug' => $this->isLocalDevMode() ? 1 : 0,
],
'webserver' => [
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment